TOWLOWER(3)

NAME
towlower, towlower_l - translate wide characters to lowercase

SYNOPSIS

#include <wctype.h>

wint_t towlower(wint_t c);

#include <wctype.h>

wint_t towlower_l(wint_t c, locale_t locale);

DESCRIPTION

towlower is a function which converts uppercase wide characters to lowercase, leaving all other characters unchanged.

towlower_l is like towlower but performs the function based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

RETURNS

towlower, towlower_l return the lowercase equivalent of c when it is a uppercase wide character; otherwise, it returns the input character.

PORTABILITY

towlower is C99. towlower_l is POSIX-1.2008.

No supporting OS subroutines are required.